﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;

@using Portal.Models.LogMonitoring;

<table width="100%" border="0" cellpadding="3">
    <tr>
        <td style="width: 200px">Process Date 
        </td>
        <td style="width: 300px;">
            <table>
                <tr>
                    <td>
                        @Html.DevExpress().DateEdit(
                    settings =>
                    {
                        settings.Name = "DateFrom";
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Properties.NullText = "dd.MM.yyyy";
                        settings.Properties.EditFormat = EditFormat.Custom;
                        settings.Properties.EditFormatString = "dd.MM.yyyy";
                        settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                        settings.Width = 100;
                        //settings.Properties.ClientSideEvents.DateChanged = "OnDateChanged";
                    }
                ).GetHtml()</td>
                    <td>To</td>
                    <td>@Html.DevExpress().DateEdit(
                                settings =>
                                {
                                    settings.Name = "To";
                                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                    settings.Properties.NullText = "dd.MM.yyyy";
                                    settings.Properties.EditFormat = EditFormat.Custom;
                                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                                    settings.Width = 100;
                                }
                            ).GetHtml()</td>
                </tr>
            </table>
        </td>
        <td style="width: 200px">Process ID</td>
        <td style="width: 100px;">
            @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "ProcessID";
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Width = 100;
                    }
                ).GetHtml()

        </td>
        <td style="width: 200px">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Process Status";
                }).GetHtml()</td>
        <td style="width: 200px">
            @Html.DevExpress().ComboBox(
                edtSettings =>
                {
                    edtSettings.Name = "cmbStatusType";
                    edtSettings.Width = 100;
                    edtSettings.CallbackRouteValues = new { Controller = "LogMonitoring", Action = "GetAllStatusType" };
                    edtSettings.Properties.ValueField = "StatusTypeName";
                    edtSettings.Properties.TextField = "StatusTypeName";
                    edtSettings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                    edtSettings.Properties.DropDownHeight = 220;
                    edtSettings.Properties.EnableClientSideAPI = true;
                    //edtSettings.Properties.ClientSideEvents.SelectedIndexChanged = "OnReportTypeSelected";
                    //edtSettings.Properties.ClientSideEvents.Init = "SetDefaultTypeSelected";
                }).BindList(ViewData["statustype"]).GetHtml()

        </td>
    </tr>


    <tr>
        <td style="width: 200px">Function</td>
        <td style="width: 300px">
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "OIHFunctionName";
                    gridLookup.Width = 130;
                    gridLookup.GridProperties.KeyFieldName = "FunctionCode;FunctionDesc";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "LogMonitoring", Action = "PartialHeaderFunctionLookupGridLogMonitoring" };
                    gridLookup.ShowDescription = true;
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.ReadOnly = true;

                    if (Model.GetModel<List<functionMaster>>().Count == 1)
                    {
                        gridLookup.Text = Model.GetModel<List<functionMaster>>()[0].FunctionCode;
                    }

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "FunctionCode";
                        column.FieldName = "FunctionCode";
                        column.Caption = "ID";
                        column.Width = Unit.Pixel(70);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "FunctionDesc";
                        column.FieldName = "FunctionDesc";
                        column.Caption = "NAME";
                        column.Width = Unit.Pixel(500);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(Model.GetModel<List<functionMaster>>()).GetHtml()

        </td>
        <td style="width: 200px">User ID</td>
        <td style="width: 100px;">
            @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "UserID";
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Width = 100;
                    }
                ).GetHtml()

        </td>
        <td style="width: 200px">
        </td>
        <td style="width: 200px">
        </td>

    </tr>

    <tr>
        <td colspan="6" align="right" style="padding-top: 4px;">
            <table border="0" cellpadding="0" cellspacing="0">
                <tr>
                    <td style="padding-right: 4px;">
                        @Html.DevExpress().Button(
                                edtSetting =>
                                {
                                    edtSetting.Name = "cmdSearch";
                                    edtSetting.Text = "Search";
                                    edtSetting.Width = 80;
                                    //edtSetting.ClientSideEvents.Click = "function(s,e) {  GridLogHeader.PerformCallback(); }";
                                    edtSetting.ClientSideEvents.Click = "clickSearch";
                                }
                            ).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().Button(
                                edtSetting =>
                                {
                                    edtSetting.Name = "cmdClear";
                                    edtSetting.Width = 80;
                                    edtSetting.Text = "Clear";
                                    edtSetting.ClientSideEvents.Click = "ClearGrid";
                                }
                            ).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>
